/*公共部分*/
	body {
		background: #fafbfc;
		height: 100vh;
		width: 100%;
		clear: both; 
		overflow: hidden;
	}
	.font-xingkai{
		font-family: 
	    "STXingkai",           /* macOS */
	    "华文行楷",             /* Windows 中文 */
	    "Xingkai SC",          /* 部分系统 */
	    "LiSu",                /* 隶书备用 */
	    "KaiTi",               /* 楷体备用 */
	    "ZCOOL XiaoWei",       /* 免费Web字体 */
	    cursive;               /* 通用手写体 */
	}


/*页面加载*/
	.loading {
		background: rgba(245, 245, 245, 0.6);
		color: #555555;
		position: absolute;
		height: 100%;
		width: 100%;
		left: 0;
		top: 0;
	}
	.loading .spinner-border{
		width: 50px;
		height: 50px;
	}

/*弹窗提示*/
	.toast .rounded{
	    height: 1rem;
	    width: 1rem;
	}
	.btn-close{
		font-size: 12px!important;
	}
	.modal-body{
		height: 70vh;
    	overflow-y: scroll;
	}


/*login部分*/
	.login-bg{
		background: url('/static/manage_pc/img/bg.jpg');
		background-size: 100% 100%;
		background-attachment: fixed;
	}

	.login-box{
		top: 20%;
	    right: 12%;
	    width: 380px;
	}
	.login-box input:focus {
	    outline: none;          /* 移除默认外边框（所有浏览器） */
	    box-shadow: none;       /* 移除发光效果（如 Bootstrap 的样式） */
	    border-color: inherit;  /* 保持原边框颜色 */
	}





/*top部分*/
	.top-nav{
		height: 66px;
	}
	.top-nav .top-nav-left{
		height: 66px;
		width: 12%;
	}
	.top-nav .top-nav-center{
		height: 66px;
		width: 62%;
		overflow-y: scroll;
	}
	.top-nav .top-nav-center::-webkit-scrollbar {
	  display: none;
	}
	.top-nav .top-nav-center ul{
		padding: 0;
		margin: 0;
		list-style: none;
	}
	.top-nav .top-nav-center li {
		padding: 8px;
		line-height: 50px;
		display: inline-block;
	}
	.top-nav .top-nav-center li span {
		cursor: default;
		padding: 5px 15px;
		font-size: 14px;
		color: white;
		text-decoration: none;
		transition: background-color 0.6s ease, color 0.3s ease;
	}
	.top-nav .top-nav-center li span:hover {
		background: #f9fafb;
		border-radius: 15px;
		color: rgba(var(--bs-primary-rgb), var(--bs-bg-opacity)) !important;
	}

	.top-nav .top-nav-right{
		width: 26%;
	}
	.top-nav .top-nav-right ul{
		list-style: none;
	}
	.top-nav .head-img{
		height: 66px;
		padding-left: 25px;
		line-height: 66px;
		float: right;
	}
	.top-nav .fullname{
		max-width: 100px;
	}
	.top-nav .top-nav-right li:nth-child(n+2) {
		padding: 0 10px;
		float: right;
		line-height: 66px;
	}
	.top-nav .top-nav-right li a {
		color: white;
		text-decoration: none;
	}
	.top-nav .top-nav-active{
		background: white;
		border-radius: 15px;
		color: rgba(var(--bs-primary-rgb), var(--bs-bg-opacity)) !important;
	}



/*left部分*/
	.left-nav{
		width: 12%;
		height: calc(100% - 66px);
		font-size: 14px;
		float: left;
		display: grid;
		overflow-y: scroll;
	  	-ms-overflow-style: none;  /* IE/Edge */
	  	scrollbar-width: none;     /* Firefox */
	}
	.left-nav::-webkit-scrollbar {
	  display: none; /* 隐藏滚动条 */
	}
	.left-nav>ul{
		list-style: none;
		padding: 0;
		margin: 0;
	}
	.left-nav>ul>li{
		display: inline-block;
		padding: 12px 20px;
		width: 100%;
	}
	.left-nav>ul>li>.menu{
		text-decoration: none;
		padding-left: 10px;
		color: #888888;
		cursor: default;
		clear: both;
	}
	.left-nav>ul>li>.menu>i:nth-child(1){
		float: left;
		margin-right: 10px;
	}
	.left-nav>ul>li>.menu:hover{
		color: rgba(var(--bs-primary-rgb), var(--bs-bg-opacity)) !important;
	}
	.left-nav .left-nav-active{
		color: rgba(var(--bs-primary-rgb), var(--bs-bg-opacity)) !important;
	}
	.left-nav .submenu{
		display: inline-block;
	}
	.left-nav .submenu>ul{
		margin-top: 10px;
		margin-left: 0;
		padding: 0;
		list-style: none;
		color: #888888;
	}
	.left-nav .submenu li{
		cursor: default;
		padding: 5px 0px 5px 20px;
		clear: both;
		display: inline-block;
	}
	.left-nav .submenu li i{
		float: left;
		margin-right: 10px;
	}


/*page部分*/
	.page{
		float: right;
		width: 88%;
		padding: 5px;
		height: 100%;
		padding-bottom: 66px;
		overflow-y: scroll;
	}

	.page-file{
		clear: both;
		padding: 2px 5px;
		background: #ffffff;
		display: inline-block;
	}
	.page-file .bi-circle-fill{
		padding-top: 6px;
		margin-right: 5px;
	}
	.page-file .bi-x{
		margin-left: 8px;
	}

/*搜索部分*/
	.search{
		padding: 0 8px;
	}
	.search .fw-bold{
		padding-top: 2px;
	}
	.search input:focus{
		outline: none;          /* 移除默认外边框（所有浏览器） */
	    box-shadow: none;       /* 移除发光效果（如 Bootstrap 的样式） */
	    border-color: inherit;  /* 保持原边框颜色 */
	}

/*内容部分*/
	.content{
		padding: 0 8px;
	}
	.content table td{
		min-width: 150px;
	}
	.content i.bi{
		margin-right: 5px;
	}
	.content .pagination li{
		padding: 1px 3px;
		min-width: 24px;
		text-align: center;
	}
	.content .pagination li.active span{
		background: rgba(var(--bs-primary-rgb), var(--bs-bg-opacity)) !important;
		color: white!important;
	}
	.content .pagination li span, .content .pagination li a{
		padding: 3px 8px;
		border-radius: 3px;
		border: 1px solid #f1f1f1;
	}


	
	.select2-container .select2-selection--single{
		min-height: calc(1.5em + .5rem + calc(var(--bs-border-width) * 2));
	}
	.select2-container--default .select2-selection--single{
		border: var(--bs-border-width) solid var(--bs-border-color);
	}
	.select2-results__option{
		font-size: 14px;
		/*color: var(--bs-red);*/
	}
	.select2-container--default .select2-search--dropdown .select2-search__field {
	    min-height: calc(1.5em + .5rem + calc(var(--bs-border-width) * 2));
	    padding: .25rem .5rem;
	    font-size: .875rem;
	    border-radius: .25rem;
	}
	.select2-container--default .select2-search--dropdown .select2-search__field:focus {
	    color: var(--bs-body-color);
	    background-color: var(--bs-form-control-bg);
	    border-color: #86b7fe;
	    outline: 0;
	    box-shadow: 0 0 0 .25rem rgba(13,110,253,.25)
	}
	.select2-container--default .select2-selection--single .select2-selection__placeholder {
	    color: var(--bs-secondary-color);
	    opacity: 1
	}
	.select2-container--default .select2-selection--multiple{
		border: var(--bs-border-width) solid var(--bs-border-color);
	}
	.select2-container--default.select2-container--focus .select2-selection--multiple{
		color: var(--bs-body-color);
	    background-color: var(--bs-form-control-bg);
	    border-color: #86b7fe;
	    outline: 0;
	    box-shadow: 0 0 0 .25rem rgba(13,110,253,.25)
	}
	.select2-container--default .select2-selection--multiple .select2-selection__choice{
		background-color: #f5f5f5;
		border: 1px solid #e1e1e1;
	}
	.select2-container--default .select2-selection--multiple .select2-selection__choice__remove{
		border-right: 1px solid #e1e1e1;
	}
	.select2-container .select2-search--inline .select2-search__field{
		padding-left: 3px;
		font-size: 14px;
	}


/*报警*/
    @keyframes colorChange {
      0% { color: #eaff55; }
      100% { color: #ff5555; }
    }
    .police {
      animation: colorChange 1s infinite; /* 动画持续5秒，无限循环 */
    }